﻿@model StavkaTroskovnika

@{ 
    ViewBag.Title = "Nova stavka troškovnika";
}

<h2>Unos nove stavke troškovnika</h2>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="Opis"></label>
        <div><span asp-validation-for="Opis" class="text-danger"></span></div>
        <input asp-for="Opis" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Kolicina"></label>
        <div><span asp-validation-for="Kolicina" class="text-danger"></span></div>
        <input asp-for="Kolicina" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkJedMjere"></label>
        <div><span asp-validation-for="FkJedMjere" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkJedMjere" asp-items="ViewBag.Sifre">
            <option selected value="" disabled>Odaberite jediničnu mjeru</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkTroskovnikNatjecaj"></label>
        <div><span asp-validation-for="FkTroskovnikNatjecaj" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkTroskovnikNatjecaj" asp-items="ViewBag.Natjecaji">
            <option selected value="" disabled>Odaberite troškovnik</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>